<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Circle extends Model 
{

    protected $table = 'circles';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];

    public function province()
    {
        return $this->belongsTo('Province');
    }

    public function communes()
    {
        return $this->hasMany('Commune');
    }

}